Subject: Re: [PATCH 0/8] pull request (net): ipsec 2026-05-05

From: Steffen Klassert <[email-masked]>
Date: Thu, 7 May 2026 07:54:04 +0200

On Wed, May 06, 2026 at 04:51:49PM -0700, Jakub Kicinski wrote:
> On Wed, 6 May 2026 16:50:35 -0700 Jakub Kicinski wrote:
> > On Tue, 5 May 2026 15:22:56 +0200 Steffen Klassert wrote:
> > > 5. Harden __xfrm_state_delete() against repeated or inconsistent unhashing
> > >    of state list nodes by keying the removal on actual list membership and
> > >    using delete-and-init helpers. From Michal Kosiorek.  
> > 
> > Sashiko seems to have extra comments for this but I suspect follow up
> > is the way to go there.
> 
> I should have made it clear - Claude-shiko:
> 
> https://netdev-ai.bots.linux.dev/sashiko/#/patchset/[email-masked]

I think the races Sashiko reveals here don't exist. __xfrm_state_delete()
is always called with the xfrm_state lock held, so there can't be a
second __xfrm_state_delete() on the same xfrm_state.